"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
require("../../api/index.js");
require("../../api/distri/score.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/index.js");
require("../../helper/test.js");
require("../../helper/digit.js");
require("../../api/member/signin.js");
require("../../helper/throttle.js");
require("../../url/index.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../api/distri/share.js");
require("../../api/distri/team.js");
require("../../api/infra/file.js");
require("../../api/member/address.js");
require("../../api/member/point.js");
require("../../api/migration/app.js");
require("../../api/migration/chat.js");
require("../../api/migration/index.js");
require("../../api/migration/third.js");
require("../../api/pay/channel.js");
require("../../api/product/category.js");
require("../../api/product/comment.js");
require("../../api/product/favorite.js");
require("../../api/product/history.js");
require("../../api/product/spu.js");
require("../../api/promotion/activity.js");
require("../../api/promotion/article.js");
require("../../api/promotion/bargain.js");
require("../../api/promotion/combination.js");
require("../../api/promotion/rewardActivity.js");
require("../../api/promotion/seckill.js");
require("../../api/system/area.js");
require("../../api/system/voice.js");
require("../../api/trade/afterSale.js");
require("../../api/trade/brokerage.js");
require("../../api/trade/config.js");
require("../../api/trade/delivery.js");
require("../../config/zIndex.js");
if (!Array) {
  const _easycom_su_swiper2 = common_vendor.resolveComponent("su-swiper");
  _easycom_su_swiper2();
}
const _easycom_su_swiper = () => "../../ui/su-swiper/su-swiper.js";
if (!Math) {
  _easycom_su_swiper();
}
const _sfc_main = {
  __name: "s-image-banner",
  props: {
    data: {
      type: Object,
      default: () => ({})
    },
    styles: {
      type: Object,
      default: () => ({})
    }
  },
  setup(__props) {
    const props = __props;
    const imgList = common_vendor.computed(
      () => props.data.items.map((item) => {
        const src = item.type === "img" ? item.imgUrl : item.videoUrl;
        return {
          ...item,
          type: item.type === "img" ? "image" : "video",
          src: sheep_index.sheep.$url.cdn(src),
          poster: sheep_index.sheep.$url.cdn(item.imgUrl)
        };
      })
    );
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          list: imgList.value,
          dotStyle: __props.data.indicator === "dot" ? "long" : "tag",
          imageMode: "scaleToFill",
          dotCur: "bg-mask-40",
          seizeHeight: 300,
          autoplay: __props.data.autoplay,
          interval: __props.data.interval * 1e3,
          mode: __props.data.type
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/zx/mall-front-app/sheep/components/s-image-banner/s-image-banner.vue"]]);
wx.createComponent(Component);
